=== modified file '.bzrignore'
--- .bzrignore	2010-03-23 15:44:51 +0000
+++ .bzrignore	2009-04-01 14:40:05 +0000
@@ -7,5 +7,3 @@
 *.log
 _trial_temp
 loggerhead-memprofile
-docs/_build/doctrees
-docs/_build/html

=== modified file 'NEWS'
--- NEWS	2010-02-26 04:38:23 +0000
+++ NEWS	2010-03-25 16:19:24 +0000
@@ -15,6 +15,9 @@
     - Repository.get_revision_inventory() was removed in bzr 2.2; use
       Repository.get_inventory() instead. (Matt Nordhoff, #528194)
 
+    - Ignore readonly+ prefix when checking if Loggerhead is serving a
+      local location. (Reported by Tres Seaver.) (Matt Nordhoff)
+
 1.17 [20Aug2009]
 ---------------
 

=== removed directory 'docs'
=== removed file 'docs/Makefile'
--- docs/Makefile	2010-03-23 15:44:51 +0000
+++ docs/Makefile	1970-01-01 00:00:00 +0000
@@ -1,89 +0,0 @@
-# Makefile for Sphinx documentation
-#
-
-# You can set these variables from the command line.
-SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
-PAPER         =
-BUILDDIR      = _build
-
-# Internal variables.
-PAPEROPT_a4     = -D latex_paper_size=a4
-PAPEROPT_letter = -D latex_paper_size=letter
-ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
-
-.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest
-
-help:
-	@echo "Please use \`make <target>' where <target> is one of"
-	@echo "  html      to make standalone HTML files"
-	@echo "  dirhtml   to make HTML files named index.html in directories"
-	@echo "  pickle    to make pickle files"
-	@echo "  json      to make JSON files"
-	@echo "  htmlhelp  to make HTML files and a HTML help project"
-	@echo "  qthelp    to make HTML files and a qthelp project"
-	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
-	@echo "  changes   to make an overview of all changed/added/deprecated items"
-	@echo "  linkcheck to check all external links for integrity"
-	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
-
-clean:
-	-rm -rf $(BUILDDIR)/*
-
-html:
-	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
-	@echo
-	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
-
-dirhtml:
-	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
-	@echo
-	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."
-
-pickle:
-	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
-	@echo
-	@echo "Build finished; now you can process the pickle files."
-
-json:
-	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
-	@echo
-	@echo "Build finished; now you can process the JSON files."
-
-htmlhelp:
-	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
-	@echo
-	@echo "Build finished; now you can run HTML Help Workshop with the" \
-	      ".hhp project file in $(BUILDDIR)/htmlhelp."
-
-qthelp:
-	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
-	@echo
-	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
-	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/loggerhead.qhcp"
-	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/loggerhead.qhc"
-
-latex:
-	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
-	@echo
-	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
-	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
-	      "run these through (pdf)latex."
-
-changes:
-	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
-	@echo
-	@echo "The overview file is in $(BUILDDIR)/changes."
-
-linkcheck:
-	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
-	@echo
-	@echo "Link check complete; look for any errors in the above output " \
-	      "or in $(BUILDDIR)/linkcheck/output.txt."
-
-doctest:
-	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
-	@echo "Testing of doctests in the sources finished, look at the " \
-	      "results in $(BUILDDIR)/doctest/output.txt."

=== removed directory 'docs/_build'
=== removed directory 'docs/_static'
=== removed directory 'docs/_templates'
=== removed file 'docs/conf.py'
--- docs/conf.py	2010-03-23 15:44:51 +0000
+++ docs/conf.py	1970-01-01 00:00:00 +0000
@@ -1,194 +0,0 @@
-# -*- coding: utf-8 -*-
-#
-# loggerhead documentation build configuration file, created by
-# sphinx-quickstart on Tue Mar 23 10:49:50 2010.
-#
-# This file is execfile()d with the current directory set to its containing dir.
-#
-# Note that not all possible configuration values are present in this
-# autogenerated file.
-#
-# All configuration values have a default; values that are commented out
-# serve to show the default.
-
-import sys, os
-
-# If extensions (or modules to document with autodoc) are in another directory,
-# add these directories to sys.path here. If the directory is relative to the
-# documentation root, use os.path.abspath to make it absolute, like shown here.
-#sys.path.append(os.path.abspath('.'))
-
-# -- General configuration -----------------------------------------------------
-
-# Add any Sphinx extension module names here, as strings. They can be extensions
-# coming with Sphinx (named 'sphinx.ext.*') or your custom ones.
-extensions = []
-
-# Add any paths that contain templates here, relative to this directory.
-templates_path = ['_templates']
-
-# The suffix of source filenames.
-source_suffix = '.rst'
-
-# The encoding of source files.
-#source_encoding = 'utf-8'
-
-# The master toctree document.
-master_doc = 'index'
-
-# General information about the project.
-project = u'loggerhead'
-copyright = u'2010, Loggerhead team (https://launchpad.net/~loggerhead-team)'
-
-# The version info for the project you're documenting, acts as replacement for
-# |version| and |release|, also used in various other places throughout the
-# built documents.
-#
-# The short X.Y version.
-version = '1.17'
-# The full version, including alpha/beta/rc tags.
-release = '1.17'
-
-# The language for content autogenerated by Sphinx. Refer to documentation
-# for a list of supported languages.
-#language = None
-
-# There are two options for replacing |today|: either, you set today to some
-# non-false value, then it is used:
-#today = ''
-# Else, today_fmt is used as the format for a strftime call.
-#today_fmt = '%B %d, %Y'
-
-# List of documents that shouldn't be included in the build.
-#unused_docs = []
-
-# List of directories, relative to source directory, that shouldn't be searched
-# for source files.
-exclude_trees = ['_build']
-
-# The reST default role (used for this markup: `text`) to use for all documents.
-#default_role = None
-
-# If true, '()' will be appended to :func: etc. cross-reference text.
-#add_function_parentheses = True
-
-# If true, the current module name will be prepended to all description
-# unit titles (such as .. function::).
-#add_module_names = True
-
-# If true, sectionauthor and moduleauthor directives will be shown in the
-# output. They are ignored by default.
-#show_authors = False
-
-# The name of the Pygments (syntax highlighting) style to use.
-pygments_style = 'sphinx'
-
-# A list of ignored prefixes for module index sorting.
-#modindex_common_prefix = []
-
-
-# -- Options for HTML output ---------------------------------------------------
-
-# The theme to use for HTML and HTML Help pages.  Major themes that come with
-# Sphinx are currently 'default' and 'sphinxdoc'.
-html_theme = 'default'
-
-# Theme options are theme-specific and customize the look and feel of a theme
-# further.  For a list of options available for each theme, see the
-# documentation.
-#html_theme_options = {}
-
-# Add any paths that contain custom themes here, relative to this directory.
-#html_theme_path = []
-
-# The name for this set of Sphinx documents.  If None, it defaults to
-# "<project> v<release> documentation".
-#html_title = None
-
-# A shorter title for the navigation bar.  Default is the same as html_title.
-#html_short_title = None
-
-# The name of an image file (relative to this directory) to place at the top
-# of the sidebar.
-#html_logo = None
-
-# The name of an image file (within the static path) to use as favicon of the
-# docs.  This file should be a Windows icon file (.ico) being 16x16 or 32x32
-# pixels large.
-#html_favicon = None
-
-# Add any paths that contain custom static files (such as style sheets) here,
-# relative to this directory. They are copied after the builtin static files,
-# so a file named "default.css" will overwrite the builtin "default.css".
-html_static_path = ['_static']
-
-# If not '', a 'Last updated on:' timestamp is inserted at every page bottom,
-# using the given strftime format.
-#html_last_updated_fmt = '%b %d, %Y'
-
-# If true, SmartyPants will be used to convert quotes and dashes to
-# typographically correct entities.
-#html_use_smartypants = True
-
-# Custom sidebar templates, maps document names to template names.
-#html_sidebars = {}
-
-# Additional templates that should be rendered to pages, maps page names to
-# template names.
-#html_additional_pages = {}
-
-# If false, no module index is generated.
-#html_use_modindex = True
-
-# If false, no index is generated.
-#html_use_index = True
-
-# If true, the index is split into individual pages for each letter.
-#html_split_index = False
-
-# If true, links to the reST sources are added to the pages.
-#html_show_sourcelink = True
-
-# If true, an OpenSearch description file will be output, and all pages will
-# contain a <link> tag referring to it.  The value of this option must be the
-# base URL from which the finished HTML is served.
-#html_use_opensearch = ''
-
-# If nonempty, this is the file name suffix for HTML files (e.g. ".xhtml").
-#html_file_suffix = ''
-
-# Output file base name for HTML help builder.
-htmlhelp_basename = 'loggerheaddoc'
-
-
-# -- Options for LaTeX output --------------------------------------------------
-
-# The paper size ('letter' or 'a4').
-#latex_paper_size = 'letter'
-
-# The font size ('10pt', '11pt' or '12pt').
-#latex_font_size = '10pt'
-
-# Grouping the document tree into LaTeX files. List of tuples
-# (source start file, target name, title, author, documentclass [howto/manual]).
-latex_documents = [
-  ('index', 'loggerhead.tex', u'loggerhead Documentation',
-   u'Loggerhead team (https://launchpad.net/\\textasciitilde{}loggerhead-team)', 'manual'),
-]
-
-# The name of an image file (relative to this directory) to place at the top of
-# the title page.
-#latex_logo = None
-
-# For "manual" documents, if this is true, then toplevel headings are parts,
-# not chapters.
-#latex_use_parts = False
-
-# Additional stuff for the LaTeX preamble.
-#latex_preamble = ''
-
-# Documents to append as an appendix to all manuals.
-#latex_appendices = []
-
-# If false, no module index is generated.
-#latex_use_modindex = True

=== removed file 'docs/index.rst'
--- docs/index.rst	2010-03-23 15:44:51 +0000
+++ docs/index.rst	1970-01-01 00:00:00 +0000
@@ -1,170 +0,0 @@
-loggerhead:  A web viewer for ``bzr`` branches
-==============================================
-
-Loggerhead is a web viewer for projects in bazaar. It can be used to navigate 
-a branch history, annotate files, view patches, perform searches, etc.
-It is heavily based on ``bazaar-webserve``, which is itself based on ``hgweb``
-for Mercurial.
-
-Getting Started
----------------
-
-Loggerhead depends on:
-
-1) SimpleTAL for templating.
-   On Ubuntu, ``sudo apt-get install python-simpletal``
-   or download from http://www.owlfish.com/software/simpleTAL/download.html
-
-2) simplejson for producing JSON data.
-   On Ubuntu, ``sudo apt-get install python-simplejson``
-   or use `easy_install simplejson`.
-
-3) Paste for the server. (You need version 1.2 or newer of Paste.)
-   On Ubuntu, ``sudo apt-get install python-paste``
-   or use `easy_install Paste`
-
-4) Paste Deploy  (optional, needed when proxying through Apache)
-   On Ubuntu, ``sudo apt-get install python-pastedeploy``
-   or use `easy_install PasteDeploy`
-
-5) flup (optional, needed to use FastCGI, SCGI or AJP)
-   On Ubuntu, ``sudo apt-get install python-flup``
-   or use `easy_install flup`
-
-Then simply run the 'serve-branches' with the branch you want to
-serve on the command line:
-
-.. code-block:: sh
-
-    ./serve-branches ~/path/to/branch
-
-The script listens on port 8080 so head to http://localhost:8080/ in
-your browser to see the branch.  You can also pass a directory that
-contains branches to the script, and it will serve a very simple
-directory listing at other pages.
-
-You may update the Bazaar branches being viewed at any time.
-Loggerhead will notice and refresh, and Bazaar uses its own branch
-locking to prevent corruption.
-
-To run loggerhead as a linux daemon:
-
-1) Copy loggerheadd to ``/etc/init.d``
-
-2) Edit the file to configure where your loggerhead is installed, and which
-   serve-branches options you would like.
-
-3) Register the service
-   ``cd /etc/init.d``
-
-   a) on upstart based systems like Ubuntu run: 
-      ``update-rc.d loggerheadd defaults``
-
-   b) on Sysvinit based systems like Centos or SuSE run:
-      ``chkconfig --add loggerheadd``
-
-
-Loggerhead as a Bazaar Plugin
------------------------------
-
-This branch contains experimental support for using Loggerhead as a Bazaar
-plugin.  To use it, place the top-level Loggerhead directory (the one
-containing this file) at ``~/.bazaar/plugins/loggerhead``.
-
-
-Using a Config File
--------------------
-
-To hide branches from being displayed, add to ``~/.bazaar/locations.conf``,
-under the branch's section:
-
-.. code-block:: ini
-
-    [/path/to/branch]
-    http_serve = False
-
-
-More configuration options to come soon.
-
-
-Serving Loggerhead from Behind Apache
--------------------------------------
-
-If you want to view Bazaar branches from your existing Apache
-installation, you'll need to configure Apache to proxy certain
-requests to Loggerhead.  Adding lines like this to you Apache
-configuration is one way to do this:
-
-.. code-block:: apache
-
-    <Location "/branches/">
-        ProxyPass http://127.0.0.1:8080/branches/
-        ProxyPassReverse http://127.0.0.1:8080/branches/
-    </Location>
-
-If Paste Deploy is installed, the :command:`serve-branches` script can be
-run behind a proxy at the root of a site, but if you're running it at
-some path into the site, you'll need to specify is using
-``--prefix=/some_path``.
-
-
-Search
-------
-
-Search is currently supported by using the bzr-search plugin (available
-at: ``https://launchpad.net/bzr-search``
-You need to have the plugin installed and each branch indexed to allow
-searching on branches.
-
-
-Support
--------
-
-Loggerhead is loosely based on bazaar-webserve, which was loosely
-based on hgweb.  Discussion should take place on the bazaar-dev
-mailing list at bazaar@lists.canonical.com.  You can join the list at
-<https://lists.ubuntu.com/mailman/listinfo/bazaar>.  You don't need to
-subscribe to post, but your first post will be held briefly for manual
-moderation.
-
-Bugs are tracked on Launchpad; start at:
-
-    https://bugs.launchpad.net/loggerhead
-
-
-Hacking
--------
-
-To run loggerhead tests, you will need the package python-nose,
-and run in the loggerhead directory:
-
-.. code-block:: sh
-
-    nosetests
-
-License
--------
-
-GNU GPLv2 or later.
-
-See Also
---------
-
-https://launchpad.net/loggerhead
-
-Contents:
-
-.. toctree::
-   :maxdepth: 2
-
-   serve-branches
-   start-loggerhead
-   stop-loggerhead
-
-Indices and tables
-==================
-
-* :ref:`genindex`
-* :ref:`modindex`
-* :ref:`search`
-

=== removed file 'docs/make.bat'
--- docs/make.bat	2010-03-23 15:44:51 +0000
+++ docs/make.bat	1970-01-01 00:00:00 +0000
@@ -1,113 +0,0 @@
-@ECHO OFF
-
-REM Command file for Sphinx documentation
-
-set SPHINXBUILD=sphinx-build
-set BUILDDIR=_build
-set ALLSPHINXOPTS=-d %BUILDDIR%/doctrees %SPHINXOPTS% .
-if NOT "%PAPER%" == "" (
-	set ALLSPHINXOPTS=-D latex_paper_size=%PAPER% %ALLSPHINXOPTS%
-)
-
-if "%1" == "" goto help
-
-if "%1" == "help" (
-	:help
-	echo.Please use `make ^<target^>` where ^<target^> is one of
-	echo.  html      to make standalone HTML files
-	echo.  dirhtml   to make HTML files named index.html in directories
-	echo.  pickle    to make pickle files
-	echo.  json      to make JSON files
-	echo.  htmlhelp  to make HTML files and a HTML help project
-	echo.  qthelp    to make HTML files and a qthelp project
-	echo.  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter
-	echo.  changes   to make an overview over all changed/added/deprecated items
-	echo.  linkcheck to check all external links for integrity
-	echo.  doctest   to run all doctests embedded in the documentation if enabled
-	goto end
-)
-
-if "%1" == "clean" (
-	for /d %%i in (%BUILDDIR%\*) do rmdir /q /s %%i
-	del /q /s %BUILDDIR%\*
-	goto end
-)
-
-if "%1" == "html" (
-	%SPHINXBUILD% -b html %ALLSPHINXOPTS% %BUILDDIR%/html
-	echo.
-	echo.Build finished. The HTML pages are in %BUILDDIR%/html.
-	goto end
-)
-
-if "%1" == "dirhtml" (
-	%SPHINXBUILD% -b dirhtml %ALLSPHINXOPTS% %BUILDDIR%/dirhtml
-	echo.
-	echo.Build finished. The HTML pages are in %BUILDDIR%/dirhtml.
-	goto end
-)
-
-if "%1" == "pickle" (
-	%SPHINXBUILD% -b pickle %ALLSPHINXOPTS% %BUILDDIR%/pickle
-	echo.
-	echo.Build finished; now you can process the pickle files.
-	goto end
-)
-
-if "%1" == "json" (
-	%SPHINXBUILD% -b json %ALLSPHINXOPTS% %BUILDDIR%/json
-	echo.
-	echo.Build finished; now you can process the JSON files.
-	goto end
-)
-
-if "%1" == "htmlhelp" (
-	%SPHINXBUILD% -b htmlhelp %ALLSPHINXOPTS% %BUILDDIR%/htmlhelp
-	echo.
-	echo.Build finished; now you can run HTML Help Workshop with the ^
-.hhp project file in %BUILDDIR%/htmlhelp.
-	goto end
-)
-
-if "%1" == "qthelp" (
-	%SPHINXBUILD% -b qthelp %ALLSPHINXOPTS% %BUILDDIR%/qthelp
-	echo.
-	echo.Build finished; now you can run "qcollectiongenerator" with the ^
-.qhcp project file in %BUILDDIR%/qthelp, like this:
-	echo.^> qcollectiongenerator %BUILDDIR%\qthelp\loggerhead.qhcp
-	echo.To view the help file:
-	echo.^> assistant -collectionFile %BUILDDIR%\qthelp\loggerhead.ghc
-	goto end
-)
-
-if "%1" == "latex" (
-	%SPHINXBUILD% -b latex %ALLSPHINXOPTS% %BUILDDIR%/latex
-	echo.
-	echo.Build finished; the LaTeX files are in %BUILDDIR%/latex.
-	goto end
-)
-
-if "%1" == "changes" (
-	%SPHINXBUILD% -b changes %ALLSPHINXOPTS% %BUILDDIR%/changes
-	echo.
-	echo.The overview file is in %BUILDDIR%/changes.
-	goto end
-)
-
-if "%1" == "linkcheck" (
-	%SPHINXBUILD% -b linkcheck %ALLSPHINXOPTS% %BUILDDIR%/linkcheck
-	echo.
-	echo.Link check complete; look for any errors in the above output ^
-or in %BUILDDIR%/linkcheck/output.txt.
-	goto end
-)
-
-if "%1" == "doctest" (
-	%SPHINXBUILD% -b doctest %ALLSPHINXOPTS% %BUILDDIR%/doctest
-	echo.
-	echo.Testing of doctests in the sources finished, look at the ^
-results in %BUILDDIR%/doctest/output.txt.
-	goto end
-)
-
-:end

=== removed file 'docs/serve-branches.rst'
--- docs/serve-branches.rst	2010-03-23 15:44:51 +0000
+++ docs/serve-branches.rst	1970-01-01 00:00:00 +0000
@@ -1,51 +0,0 @@
-:command:`serve-branches`:  Run a loggerhead server [XXX in the foreground]
-===========================================================================
-
-The :command:`serve-branches` command runs a standalone loggerhead server in
-the foreground.
-
-.. program:: serve-branches
-
-Usage
------
-
-.. code-block:: sh
-
-   serve-branches [OPTIONS] <target directory>
-
-.. cmdoption:: -h, --help
-
-    Show this help message and exit
-
-.. cmdoption:: --user-dirs
-
-    Serve user directories as ``~user``. XXX (Requires ``--trunk-dir``).
-
-.. cmdoption:: --trunk-dir=DIR
-
-    The directory that contains the trunk branches.
-
-.. cmdoption:: --port
-
-    Port Loggerhead should listen on (defaults to 8080).
-
-.. cmdoption:: --host
-
-    Host Loggerhead should listen on. XXX (defaults to 0.0.0.0).
-
-.. cmdoption:: --prefix
-
-    Specify host prefix. XXX this is wildly unclear.
-
-.. cmdoption:: --reload
-
-    Restarts the application when changing python files. Only used for
-    development purposes.
-
-.. cmdoption:: --log-folder=LOG_FOLDER
-
-    The directory [XXX in which] to place log files
-
-.. cmdoption:: --version
-
-    Print the software version and exit.

=== removed file 'docs/start-loggerhead.rst'
--- docs/start-loggerhead.rst	2010-03-23 15:44:51 +0000
+++ docs/start-loggerhead.rst	1970-01-01 00:00:00 +0000
@@ -1,43 +0,0 @@
-:command:`start-loggerhead`:  Start a loggerhead server [XXX as a daemon]
-=========================================================================
-
-The :command:`start-loggerhead` command starts a new standalone loggerhead
-server [XXX in the background (daemonized) by default]
-
-.. program:: start-loggerhead
-
-Usage
------
-
-.. code-block:: sh
-
-   start-loggerhead [OPTIONS]
-
-.. cmdoption:: --version
-
-    Print the software version and exit.
-
-.. cmdoption:: -h, --help
-
-    Show this help message and exit
-
-.. cmdoption:: --foreground
-
-    Run in the foreground;  don't daemonize.
-
-.. cmdoption:: -C, --check
-
-    Only start if not already running (useful for cron jobs)
-
-.. cmdoption:: -p, --pidfile=PIDFILE
-
-    override pid file location
-
-.. cmdoption:: -c, --config-file=CONFIGFILE
-
-   Override configuration file location [XXX default is
-   :file:`/etc/loggerhead.conf`]
-
-.. cmdoption:: --log-folder=LOG_FOLDER
-
-    The directory [XXX in which] to place log files

=== removed file 'docs/stop-loggerhead.rst'
--- docs/stop-loggerhead.rst	2010-03-23 15:44:51 +0000
+++ docs/stop-loggerhead.rst	1970-01-01 00:00:00 +0000
@@ -1,18 +0,0 @@
-:command:`stop-loggerhead`:  Stop a [XXX daemonized] loggerhead server 
-======================================================================
-
-The :command:`stop-loggerhead` command stops the currently running loggerhead
-server.
-
-.. program:: stop-loggerhead
-
-Usage
------
-
-.. code-block:: sh
-
-   stop-loggerhead [OPTIONS]
-
-.. cmdoption:: -p, --pidfile=PIDFILE
-
-   override pid file location

=== modified file 'loggerhead/apps/branch.py'
--- loggerhead/apps/branch.py	2009-10-17 06:35:33 +0000
+++ loggerhead/apps/branch.py	2010-03-25 16:19:24 +0000
@@ -21,6 +21,7 @@
 import sys
 
 import bzrlib.branch
+import bzrlib.errors
 import bzrlib.lru_cache
 
 from paste import request
@@ -145,9 +146,10 @@
             else:
                 # Loggerhead only supports serving .bzr/ on local branches, so
                 # we shouldn't suggest something that won't work.
-                if self.branch.base.startswith('file://'):
+                try:
+                    util.local_path_from_url(self.branch.base)
                     self.served_url = self.url([])
-                else:
+                except bzrlib.errors.InvalidURL:
                     self.served_url = None
         path = request.path_info_pop(environ)
         if not path:

=== modified file 'loggerhead/apps/transport.py'
--- loggerhead/apps/transport.py	2009-11-26 03:20:53 +0000
+++ loggerhead/apps/transport.py	2010-03-25 16:19:24 +0000
@@ -28,6 +28,7 @@
 from paste import httpexceptions
 from paste import urlparser
 
+from loggerhead import util
 from loggerhead.apps.branch import BranchWSGIApp
 from loggerhead.apps import favicon_app, robots_app, static_app
 from loggerhead.controllers.directory_ui import DirectoryUI
@@ -93,11 +94,8 @@
             # TODO: Use something here that uses the transport API
             # rather than relying on the local filesystem API.
             base = self.transport.base
-            readonly_prefix = 'readonly+'
-            if base.startswith(readonly_prefix):
-                base = base[len(readonly_prefix):]
             try:
-                path = urlutils.local_path_from_url(base)
+                path = util.local_path_from_url(base)
             except errors.InvalidURL:
                 raise httpexceptions.HTTPNotFound()
             else:

=== modified file 'loggerhead/util.py'
--- loggerhead/util.py	2009-11-26 03:44:40 +0000
+++ loggerhead/util.py	2010-03-25 16:19:24 +0000
@@ -36,6 +36,8 @@
 except ImportError:
     from elementtree import ElementTree as ET
 
+from bzrlib import urlutils
+
 from simpletal.simpleTALUtils import HTMLStructureCleaner
 
 log = logging.getLogger("loggerhead.controllers")
@@ -324,6 +326,14 @@
     return out
 
 
+def local_path_from_url(url):
+    """Convert Bazaar URL to local path, ignoring readonly+ prefix"""
+    readonly_prefix = 'readonly+'
+    if url.startswith(readonly_prefix):
+        url = url[len(readonly_prefix):]
+    return urlutils.local_path_from_url(url)
+
+
 def fill_in_navigation(navigation):
     """
     given a navigation block (used by the template for the page header), fill

